<?php
/*
Plugin Name: Disable lost password
Description: Disables the lost password function of WordPress
Author: Indigo Webstudio
*/


function indigo_disable_lost_password() {
	if (isset( $_GET['action'] )){
		if ( in_array( $_GET['action'], array('lostpassword', 'retrievepassword') ) ) {
			wp_redirect( wp_login_url(), 301 );
			exit;
		}
	}
}
add_action( "login_init", "indigo_disable_lost_password" );


function indigo_remove_lostpassword_text ( $text ) {
	if ($text == 'Lost your password?'){
		$text = '';
	}
	if ($text == 'Wachtwoord vergeten?'){
		$text = '';
	}
	return $text;
}
add_filter( 'gettext', 'indigo_remove_lostpassword_text' );

?>